Skip to main content
POST
/
core.v1.ConnectorService
/
UpdateConnectorAiProvider
cURL
curl -X POST "https://api.joinformal.com/core.v1.ConnectorService/UpdateConnectorAiProvider" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "connectorAiProvider": {
    "id": "<string>",
    "connectorId": "<string>",
    "config": {
      "anthropic": {
        "apiKey": "<string>"
      },
      "awsBedrock": {
        "region": "<string>"
      },
      "azureAi": {
        "apiKey": "<string>",
        "endpoint": "<string>"
      },
      "formalAiSatellite": {},
      "gemini": {
        "apiKey": "<string>"
      },
      "googleVertexAi": {
        "gcpProjectId": "<string>",
        "region": "<string>"
      },
      "openai": {
        "apiKey": "<string>"
      }
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json

Update

config
config · object
required

Exactly one of these fields is required: anthropic or aws_bedrock or azure_ai or formal_ai_satellite or gemini or google_vertex_ai or openai.

id
string
Minimum string length: 1

Response

Success

connectorAiProvider
connector_ai_provider · object

Entity